import React from "react";
import { Link } from "@inertiajs/react";
import { useForm } from '@inertiajs/react';
import Icons from "./Dashboard/Icons";

export default function Navbar() {

  const { post, processing } = useForm({});
  

  const handleLogout = (e) => {
    e.preventDefault();

    post(route('logout'));

  }
  return (
    <nav className="sidenav shadow-right sidenav-light !sticky top-0 scrol">
      <div className="sidenav-menu">
        <div className="nav accordion" id="accordionSidenav">
          {/* Sidenav Menu Heading (Core)*/}
          <div className="sidenav-menu-heading">Home</div>
          {/* Sidenav Accordion (Dashboard)*/}
          <Link
            className="nav-link collapsed"
            href="/creator/dashboard"
            data-bs-toggle="collapse"
            data-bs-target="#collapseDashboards"
            aria-expanded="false"
            aria-controls="collapseDashboards"
          >
            <div className="nav-link-icon">
              {/* <img src={dashboard} alt="" /> */}
              <span className="dashboard sidebarIcons"></span>
            </div>
            Dashboard
          </Link>
          {/* Sidenav Heading (Custom)*/}
          <div className="sidenav-menu-heading">Focus</div>
          {/* Sidenav Accordion (Pages)*/}
          <Link
            href="/course/index"
            className="nav-link collapsed"
            data-bs-toggle="collapse"
            data-bs-target="#collapsePages"
            aria-expanded="false"
            aria-controls="collapsePages"
          >
            <div className="nav-link-icon">
              {/* <img src={course} /> */}
              <span className="course sidebarIcons"></span>
            </div>
            Courses
          </Link>
          {/* Sidenav Accordion (Applications)*/}
          <Link
            href="/event/index"
            className="nav-link collapsed"
            data-bs-toggle="collapse"
            data-bs-target="#collapseApps"
            aria-expanded="false"
            aria-controls="collapseApps"
          >
            <div className="nav-link-icon">
            <span className="calender sidebarIcons"></span>
            </div>
            Events
          </Link>
          {/* Sidenav Accordion (Flows)*/}
          <Link
            href={ route('locked_content.index') }
            className="nav-link collapsed"
            data-bs-toggle="collapse"
            data-bs-target="#collapseFlows"
            aria-expanded="false"
            aria-controls="collapseFlows"
          >
            <div className="nav-link-icon">
            <span className="locked sidebarIcons"></span>
            </div>
            Locked
          </Link>
          <Link
            href="/community/index"
            className="nav-link collapsed"
            data-bs-toggle="collapse"
            data-bs-target="#collapseFlows"
            aria-expanded="false"
            aria-controls="collapseFlows"
          >
            <div className="nav-link-icon">
            <span className="community sidebarIcons"></span>
            </div>
            Community
          </Link>
          <Link
            href="/community/list-community-message"
            className="nav-link collapsed"
            data-bs-toggle="collapse"
            data-bs-target="#collapseFlows"
            aria-expanded="false"
            aria-controls="collapseFlows"
          >
            <div className="nav-link-icon">
            <span className="message sidebarIcons"></span>
            </div>
             Community Message
          </Link>
          {/* Sidenav Heading (UI Toolkit)*/}
        
          {/* Sidenav Accordion (Layout)*/}
        
          <div className="signout d-flex justify-content-center mt-5">
            <Link href="" onClick={handleLogout} className="nav-link gap-1">
            <Icons name="tabler:logout" className="text-white w-5 h-5" />
              Signout
            </Link>

            


          </div>
        </div>
      </div>
      {/* Sidenav Footer*/}
    </nav>
  );
}
